/**
 * Simple class with one method that may throw an exception.
 *
 * @author Tom Verhoeff (TU/e)
 */
public class SimpleClass {

    /**
     * Returns quotient.
     *
     * @param a  the dividend
     * @param b  the divisor
     * @return {@code a / b}
     * @throws IllegalArgumentException  if {@code b == 0}
     */
    public int divide(int a, int b) throws IllegalArgumentException {
        if (b == 0) {
            throw new IllegalArgumentException("divide: division by zero");
        }
        // b != 0 (precondition holds)
        return a / b;
    }

}
