import static org.junit.Assert.*;
import org.junit.Test;

/**
 * Test cases for {@code ComplexClass.multiply()}.
 *
 * @author Tom Verhoeff (TU/e)
 */
public class ComplexClassTestMultiply {

    public ComplexClassTestMultiply() {
    }

    /**
     * Test of multiply method, of class ComplexClass.
     */
    @Test
    public void testMultiplyZeroes() {
        System.out.println("multiply(0, 0)");
        int a = 0;
        int b = 0;
        ComplexClass instance = new ComplexClass();
        int expResult = 0;
        int result = instance.multiply(a, b);
        assertEquals("result", expResult, result);
    }

    /**
     * Test of multiply method, of class ComplexClass.
     */
    @Test
    public void testMultiplyNonZeroes() {
        System.out.println("multiply(2, 3)");
        int a = 2;
        int b = 3;
        ComplexClass instance = new ComplexClass();
        int expResult = 6;
        int result = instance.multiply(a, b);
        assertEquals("result", expResult, result);
    }

}
